For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Employment object
          • GET/employments
          • GET/employments/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEmployments

/employments

GET
/hris/v1/employments
GET
/api/hris/v1/employments
$curl -G https://api.merge.dev/api/hris/v1/employments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> -d employee_id=employee_id \
> --data-urlencode expand=employee,pay_group \
> --data-urlencode remote_fields=employment_type,flsa_status,pay_frequency,pay_period \
> --data-urlencode show_enum_origins=employment_type,flsa_status,pay_frequency,pay_period
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "65d8ffd0-211b-4ba4-b85a-fbe2ce220982",
7 "remote_id": "19202938",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "employee": "0958cbc6-6040-430a-848e-aafacbadf4ae",
11 "job_title": "Executive Assistant to Tom Wambsgans",
12 "pay_rate": 50000,
13 "pay_period": "YEAR",
14 "pay_frequency": "BIWEEKLY",
15 "pay_currency": "USD",
16 "pay_group": "d4e4837f-9900-484c-ac40-528365bb08ef",
17 "flsa_status": "EXEMPT",
18 "effective_date": "2023-10-06T18:42:34Z",
19 "employment_type": "FULL_TIME",
20 "remote_was_deleted": true,
21 "field_mappings": {
22 "organization_defined_targets": {
23 "custom_key": "custom_value"
24 },
25 "linked_account_defined_targets": {
26 "custom_key": "custom_value"
27 }
28 },
29 "remote_data": [
30 {
31 "path": "/jobs",
32 "data": null
33 }
34 ]
35 }
36 ]
37}

Returns a list of Employment objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The Employment object

Next

/employments/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
employee_idstringOptional
If provided, will only return employments for this employee.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
order_byenumOptional

Overrides the default ordering for this endpoint. Possible values include: effective_date, -effective_date.

Allowed values:
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

remote_idstringOptional
The API provider's ID for the given object.
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more